% $Id$ %
\subsection{Flipit}
\screenshot{plugins/images/ss-flipit}{Flipit}{img:flipit}
Flipping the colour of the token under the cursor also flips the tokens
above, below, left and right of the cursor.  The aim is to end up with
a screen containing tokens of only one colour.

\begin{table}
\begin{btnmap}{}{}
\opt{PLAYER_PAD}{\ButtonOn{} / \ButtonMenu{} / \ButtonLeft{} / \ButtonRight}
\opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD%
    ,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}
    {\ButtonUp{} / \ButtonDown{} / \ButtonLeft{} / \ButtonRight}
\opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonMenu{} / \ButtonPlay{} / \ButtonLeft{} / \ButtonRight}
\opt{IRIVER_H10_PAD}{\ButtonScrollUp{} / \ButtonScrollDown{} / \ButtonLeft{} / \ButtonRight}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Move the cursor \\
\opt{PLAYER_PAD,RECORDER_PAD}{\ButtonPlay}
\opt{ONDIO_PAD}{\ButtonMenu}
\opt{IRIVER_H100_PAD,IRIVER_H300_PAD,IPOD_4G_PAD,IPOD_3G_PAD,IAUDIO_X5_PAD%
    ,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}
    {\ButtonSelect}
\opt{IRIVER_H10_PAD}{\ButtonRew}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Flip \\
\opt{PLAYER_PAD}{\ButtonOn+\ButtonLeft}
\opt{RECORDER_PAD}{\ButtonFOne}
\opt{ONDIO_PAD}{\ButtonMenu+\ButtonLeft}
\opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonMode}
\opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonLeft}
\opt{IAUDIO_X5_PAD,IRIVER_H10_PAD}{\ButtonPlay+\ButtonLeft}
\opt{SANSA_E200_PAD,SANSA_C200_PAD}{\ButtonRec+\ButtonLeft}
\opt{GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}{\ButtonMenu}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Shuffle \\
\opt{PLAYER_PAD}{\ButtonOn+\ButtonRight}
\opt{RECORDER_PAD}{\ButtonFTwo}
\opt{ONDIO_PAD}{\ButtonMenu+\ButtonUp}
\opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonOn}
\opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonPlay}
\opt{IAUDIO_X5_PAD,IRIVER_H10_PAD}{\ButtonPlay+\ButtonRight}
\opt{SANSA_E200_PAD,SANSA_C200_PAD}{\ButtonRec+\ButtonRight}
\opt{GIGABEAT_PAD,GIGABEAT_S_PAD}{\ButtonVolUp}
\opt{MROBE100_PAD}{\ButtonPlay}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Solve \\
\opt{PLAYER_PAD}{\ButtonOn+\ButtonPlay}
\opt{RECORDER_PAD}{\ButtonFThree}
\opt{ONDIO_PAD}{\ButtonMenu+\ButtonRight}
\opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonRec}
\opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonRight}
\opt{IAUDIO_X5_PAD}{\ButtonPlay+\ButtonUp}
\opt{IRIVER_H10_PAD}{\ButtonPlay+\ButtonScrollUp}
\opt{SANSA_E200_PAD,SANSA_C200_PAD}{\ButtonRec+\ButtonSelect}
\opt{GIGABEAT_PAD,GIGABEAT_S_PAD}{\ButtonVolDown}
\opt{MROBE100_PAD}{\ButtonDisplay}
       \opt{HAVEREMOTEKEYMAP}{& }
    & Solve step by step \\
\opt{PLAYER_PAD}{\ButtonStop}
\opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonOff}
\opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonMenu}
\opt{IAUDIO_X5_PAD,IRIVER_H10_PAD,SANSA_E200_PAD,GIGABEAT_PAD,MROBE100_PAD,SANSA_C200_PAD}{\ButtonPower}
\opt{GIGABEAT_S_PAD}{\ButtonBack}
       \opt{HAVEREMOTEKEYMAP}{& 
          \opt{IRIVER_RC_H100_PAD}{\ButtonRCStop}
        }
    & Quit the game \\
\end{btnmap}
\end{table}
